using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Windows.Threading;

namespace DontHarmDesktop.Pages
{
    /// <summary>
    /// Логика взаимодействия для FooterPage.xaml
    /// </summary>
    public partial class FooterPage : Page
    {
        DispatcherTimer timer = new DispatcherTimer();

        public FooterPage()
        {
            InitializeComponent();

            // Создание таймера (если роль лаборант или лаборант-исследователь)
            
            if (App.CurrentUser.role == 3 || App.CurrentUser.role == 4)
            {
                timer.Tick += Timer_Tick;
                timer.Interval = new TimeSpan(0,0,1);
                timer.Start();
            }
        }

        /// <summary>
        /// callback таймера
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void Timer_Tick(object sender, EventArgs e)
        {
            // Проверяем закончилось ли время
            // Проверку роли не выполняем, т.к. таймер даже не начинается если роль не подходит
            if (DateTime.Now > App.LogOffTime)
            {
                App.LogOff();
                var main_frame = Application.Current.MainWindow.FindName("MainFrame") as Frame;
                //var frame = Window.GetWindow().FindName("MainFrame") as Frame;
                main_frame.Navigate(new AuthPage());
                timer.Stop();
            }
        }
    }
}
